Bug 863624 - (CVE-2012-3992) CVE-2012-3992 Mozilla: Spoofing and script injection through location.hash (MFSA 2012-84)
CVE-2012-3992 Mozilla: Spoofing and script injection through location.hash (M...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121009,repor...
: Security
Depends On:
Blocks: 852611
  Show dependency treegraph
 
Reported: 2012-10-06 01:22 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-10-10 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 05:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-10-06 01:22:52 EDT
Security researcher Mariusz Mlynski reported an issue with spoofing of the location property. In this issue, writes to location.hash can be used in concert with scripted history navigation to cause a specific website to be loaded into the history object. The baseURI can then be changed to this stored site, allowing an attacker to inject a script or intercept posted data posted to a location specified with a relative path.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.


External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-84.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Mariusz Mlynski as the original reporter.
Comment 1 errata-xmlrpc 2012-10-09 18:33:29 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1351 https://rhn.redhat.com/errata/RHSA-2012-1351.html
Comment 2 errata-xmlrpc 2012-10-09 18:54:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1350 https://rhn.redhat.com/errata/RHSA-2012-1350.html

Note You need to log in before you can comment on or make changes to this bug.